Package org.eclipse.emf.cdo.spi.common.revision

## Class ManagedRevisionProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider

- All Implemented Interfaces:
    `CDORevisionProvider`

      public class ManagedRevisionProvider
      extends java.lang.Object
      implements CDORevisionProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManagedRevisionProvider​(CDORevisionManager revisionManager, CDOBranchPoint branchPoint)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranchPoint` | `getBranchPoint()` |
    `CDORevision` | `getRevision​(CDOID id)` |
    `CDORevisionManager` | `getRevisionManager()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedRevisionProvider

          public ManagedRevisionProvider​(CDORevisionManager revisionManager,
                                         CDOBranchPoint branchPoint)

  - ### Method Detail

    - #### getRevisionManager

          public CDORevisionManager getRevisionManager()

    - #### getBranchPoint

          public CDOBranchPoint getBranchPoint()

    - #### getRevision

          public CDORevision getRevision​(CDOID id)

      Specified by:
        `getRevision` in interface `CDORevisionProvider`